<?php
/**
 * Contains Html for the options page.
 */

//html for the options page.
function pay_advantage_options_page()
{
    ?>
    <div>
        <?php screen_icon(); ?>
        <h1>Pay Advantage Settings</h1>
        <div id="payAdvantageNotice" class="updated notice" style="display: none;"> 
            <p>
                <span id="payAdvantageOptionReturnMessage"></span>
            </p>
        </div>
        <div id="payAdvantageErrorNotice" class="error notice" style="display: none;"> 
            <p>
                An error occurred.
            </p>
        </div>
        <form method="post" class="wordpress-ajax-form">
            <?php settings_fields( 'payadvantage_options_group' ); ?>

            <h2 class="title">Your Credentials</h2>
            <p>
                Please provide your API credentials, found under 'Security & Users' in your Pay Advantage account.
            </p>

            <table class="form-table">
                <tbody>
                    <tr>
                        <th>
                            <label for="payAdvantageEnv">API Environment</label>
                        </th>
                        <td>
                            <input class="regular-text" type="radio" id="payAdvantageEnv" name="payAdvantageEnv" value="sandbox" <?php echo esc_attr( get_option('pay_advantage_env') ) != "live" ? "checked" : ""; ?>/> Sandbox
                            <input class="regular-text" type="radio" id="payAdvantageEnv" name="payAdvantageEnv" value="live" <?php echo esc_attr( get_option('pay_advantage_env') ) == "live" ? "checked" : ""; ?>/> Live
                        </td>
                    </tr>
                    <tr>
                        <th>
                            <label for="payAdvantageUserName">API Username</label>
                        </th>
                        <td>
                            <input class="regular-text" type="text" id="payAdvantageUsername" name="payAdvantageUserName" value="<?php echo esc_attr( get_option('pay_advantage_user_name') ); ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            <label for="payAdvantagePassword">API Password</label>
                        </th>
                        <td>
                            <input class="regular-text" type="password" id="payAdvantagePassword" name="payAdvantagePassword" value="<?php echo esc_attr( get_option('pay_advantage_password') ); ?>"/>
                            <button class="button" type="button" onclick="payAdvantageTestCredentials()">Test</button>
                            <div id="payAdvantageAuthCheck"></div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <hr>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th>
                            General
                        </th>
                        <td>
                            <label for="payAdvantageAnonymousPermission">
                                <input id="payAdvantageAnonymousPermission" type="checkbox"/>
                                 Show widget to users not logged in
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <th>
                            Generate BPAY Reference
                        </th>
                        <td>
                            <fieldset>
                              <label for="payAdvantageShowBPayTab">
                                  <input id="payAdvantageShowBPayTab" type="checkbox"/>
                                   Enable widget
                              </label>
                              <br>    
                              <label for="payAdvantageRequireMobileNumber">
                                  <input id="payAdvantageRequireMobileNumber" type="checkbox"/>
                                   Require a mobile phone number for registrations
                              </label>
                              <br>
                              <label for="payAdvantageRequireAddress">
                                  <input id="payAdvantageRequireAddress" type="checkbox"/>
                                   Require the customer's address for registrations
                              </label>
                            </fieldset>
                            
                        </td>
                    </tr>
                    <tr>
                        <th>
                            Take Credit Card Payment
                        </th>
                        <td>
                            <fieldset>
                                <label for="payAdvantageShowCreditCardTab">
                                    <input id="payAdvantageShowCreditCardTab" type="checkbox"/>
                                     Enable widget
                                </label>
                                <br>
                                <label for="payAdvantageCreditCardDescription">
                                     Credit Card description (required for Credit Card payments)
                                     <br>
                                    <input maxlength="20" class="regular-text" type="text" id="payAdvantageCreditCardDescription" name="payAdvantageCreditCardDescription" value="<?php echo esc_attr( get_option('pay_advantage_credit_card_description') ); ?>"/>
                                </label>
                            </fieldset>
                        </td>
                    </tr>
                </tbody>
            </table>

            <?php  submit_button(); ?>

        <h3>Error List</h3>
        <div>
            <textarea readonly id="payAdvantageErrorList" style=" width:80% !important; height:500px !important"><?php echo get_option("pay_advantage_error_logging"); ?></textarea>
        </div>
    </div>
    <?php
}