/* eslint no-unused-vars: 0 */
/* eslint no-undef: 0 */

jQuery(document).ready(function ($) {
  $('.wordpress-ajax-form').on('submit', function (e) {
    e.preventDefault()
    const anonymousPermission = $('#payAdvantageAnonymousPermission').prop('checked')
    const env = $('#payAdvantageEnv:checked').val()
    const username = $('#payAdvantageUsername').val()
    const password = $('#payAdvantagePassword').val()
    const showBPay = $('#payAdvantageShowBPayTab').prop('checked')
    const showCreditCard = $('#payAdvantageShowCreditCardTab').prop('checked')
    const requirePhone = $('#payAdvantageRequireMobileNumber').prop('checked')
    const requireAddress = $('#payAdvantageRequireAddress').prop('checked')
    const requireCountry = $('#payAdvantageRequireCountry').prop('checked')
    const creditCardDescription = $('#payAdvantageCreditCardDescription').val()

    const payload = {
      'payadvantageenv': env,
      'payadvantageusername': username,
      'payadvantagepassword': password,
      'payadvantagerequiremobile': requirePhone,
      'payadvantagerequireaddress': requireAddress,
      'payadvantagerequirecountry': requireCountry,
      'payadvantageshowbpay': showBPay,
      'payadvantageshowbcreditcard': showCreditCard,
      'payadvantagecarddescription': creditCardDescription,
      'payadvantageanonymouspermission': anonymousPermission
    }

    payAdvantageAjaxCall('save_pay_advantage_settings_action', payload)
  })

  /**
 * Setters for checkbox
 */
  
  jQuery('#payAdvantageAnonymousPermission').prop('checked', payAdvantageCheckIfOptionSelected(pay_advantage_ajax_object.pay_advantage_show_widget_to_users_not_logged_in))
  jQuery('#payAdvantageRequireMobileNumber').prop('checked', payAdvantageCheckIfOptionSelected(pay_advantage_ajax_object.pay_advantage_require_mobile))
  jQuery('#payAdvantageRequireAddress').prop('checked', payAdvantageCheckIfOptionSelected(pay_advantage_ajax_object.pay_advantage_require_address))
  jQuery('#payAdvantageRequireCountry').prop('checked', payAdvantageCheckIfOptionSelected(pay_advantage_ajax_object.pay_advantage_require_country))
  jQuery('#payAdvantageShowBPayTab').prop('checked', payAdvantageCheckIfOptionSelected(pay_advantage_ajax_object.pay_advantage_show_bpay))
  jQuery('#payAdvantageShowCreditCardTab').prop('checked', payAdvantageCheckIfOptionSelected(pay_advantage_ajax_object.pay_advantage_show_credit_card))
})

/**
 * Returns a message to the ui if save is a success.
 * @param {return message from Api Call} data
 */
function payAdvantageReturnData (data) {
  if (data.type != null) {
    jQuery('#payAdvantageAuthCheck').text(data.Message)
    return
  }
  jQuery(window).scrollTop(0)
  jQuery('#payAdvantageError').hide()
  jQuery('#payAdvantageNotice').show()
  setTimeout(function () {
    jQuery('#payAdvantageNotice').hide()
  }, 4000)
  jQuery('#payAdvantageOptionReturnMessage').text(data.Message)
}

/**
 * Sends login data to test creds to api. For checking login details.
 */
function payAdvantageTestCredentials () {
  const username = jQuery('#payAdvantageUsername').val()
  const password = jQuery('#payAdvantagePassword').val()
  const env = jQuery('#payAdvantageEnv:checked').val()
  var payload = {
    'payadvantageenv': env,
    'payadvantageusername': username,
    'payadvantagepassword': password
  }

  jQuery('#payAdvantageAuthCheck').text('');

  payAdvantageAjaxCall('pay_advantage_test_auth_action', payload)
}

/**
 * Used for api call. Required!!
 */
function payAdvantageErrorInAjaxCall () {
  jQuery('#payAdvantageNotice').hide()
  jQuery('#payAdvantageError').show()
  setTimeout(function () {
    jQuery('#payAdvantageError').hide()
  }, 4000)
  jQuery(window).scrollTop(0)
}

/**
 * Checks to see if option is selected (value === '1')
 *
 * @param {*} value
 * @returns
 */
function payAdvantageCheckIfOptionSelected (value) {
  return value === '1'
}
