<?php
/**
 * Contains html for the BPay tab.
 */
function pay_advantage_bpay_tab_html() {
    ?>
        <div id="payAdvantageBPayTab" class="payAdvantageOverlayTabContent">
            <form class="wordpress-ajax-form" method="post" style="position: relative">
                <div>
                    <div id="payAdvantageOverlayBpayLock" class="payAdvantageOverlayBpayLock">  
                    </div>
                    
                    <div id="payAdvantageBillerOverlay" class="payAdvantageBillerOverlay">
                        <div class="pb-4">
                            <p>Thank you <span id="payAdvantageCustomerName"></span> for registering with PayAdvantage. Please copy the following details:</p>
                            <div class="BPayBlock">
                                <div class="BPayLogoVert"></div>
                                <div class="BPayDetails">
                                    <div class="BillerCode">
                                        Biller Code: <span id="payAdvantageBillerCode"></span>
                                    </div>
                                    <div class="BPayRef">
                                        Ref: <span id="payAdvantageBPayRef"></span>
                                    </div>
                                </div>
                            </div>
                            <p class="text-center">Please check your email for confirmation.</p>
                            <small>Unsure how to make a payment? <a href="https://www.bpay.com.au/Personal/Pay-bills.aspx" target="_blank">click here.</a></small>                          
                        </div>
                    </div>

                    <?php if (esc_attr(get_option('pay_advantage_env')) != "live"):?>
                        <h4 style="color:red">Sandbox environment</h4>
                    <?php endif;?>
                    
                    <p>
                        <label class="pa-label" for="payAdvantageCustomerFirstNamePABPAY">First Name <span class="required">*</span></label>
                        <input id="payAdvantageCustomerFirstNamePABPAY" name="customerFirstNamePABPAY" type="text"
                            onfocusout="validatePayAdvantageAgainstNullsAndLettersOnly(event, '#payAdvantageCustomerFirstNamePABPAYErrorMessage', 'First Name')">
                        <span id="payAdvantageCustomerFirstNamePABPAYErrorMessage" class="PayAdvantageError"></span>
                    </p>
                    
                    <p>
                        <label class="pa-label" for="payAdvantageCustomerLastNamePABPAY">Last Name <span class="required">*</span></label>
                        <input id="payAdvantageCustomerLastNamePABPAY" name="customerLastNamePABPAY" type="text"
                            onfocusout="validatePayAdvantageAgainstNullsAndLettersOnly(event, '#payAdvantageCustomerLastNamePABPAYErrorMessage', 'Last Name')">
                        <span id="payAdvantageCustomerLastNamePABPAYErrorMessage" class="PayAdvantageError"></span>
                    </p>

                    <p>
                        <label class="pa-label" for="payAdvantageCustomerEmailPABPAY">Email <span class="required">*</span></label>
                        <input id="payAdvantageCustomerEmailPABPAY" name="customerEmailPABPAY"  type="text"
                            onfocusout="validatePayAdvantageEmailAddress(event, '#payAdvantageCustomerEmailPABPAYErrorMessage')">
                        <span id="payAdvantageCustomerEmailPABPAYErrorMessage" class="PayAdvantageError"></span>
                    </p>

                    <div id="payAdvantageRequiredMobile">
                        <p>
                            <label class="pa-label" for="payAdvantageMobileNumberPABPAY">Mobile <span class="required">*</span></label>
                            <input maxlength="15" id="payAdvantageMobileNumberPABPAY" name="mobileNumberPABPAY" type="text"
                                onfocusout="validatePayAdvantageMobile(event, '#payAdvantageMobileNumberPABPAYErrorMessage')">
                            <span id="payAdvantageMobileNumberPABPAYErrorMessage" class="PayAdvantageError"></span>
                        
                        </p>
                    </div>
                    <div id="payAdvantageRequiredAddress">

                        <p>
                            <label class="pa-label" for="payAdvantageStreetPABPAY">Street</label>
                            <input id="payAdvantageStreetPABPAY" name="streetPABPAY" type="text"
                                onfocusout="validatePayAdvantageAgainstNulls(event, '#payAdvantageStreetPABPAYErrorMessage', 'Street is required.')">
                            <span id="payAdvantageStreetPABPAYErrorMessage" class="PayAdvantageError"></span>
                        </p>
                    
                        <p>
                            <label class="pa-label" for="payAdvantageSuburbPABPAY">Suburb</label>
                            <input id="payAdvantageSuburbPABPAY" name="suburbPABPAY" type="text"
                                onfocusout="validatePayAdvantageAgainstNullsAndLettersOnly(event, '#payAdvantageSuburbPABPAYErrorMessage', 'Suburb')">
                            <span id="payAdvantageSuburbPABPAYErrorMessage" class="PayAdvantageError"></span>
                        </p>

                        <p>
                            <label class="pa-label" for="payAdvantageStatePABPAY">State</label>
                            <input id="payAdvantageStatePABPAY" name="statePABPAY" type="text"
                                onfocusout="validatePayAdvantageAgainstNullsAndLettersOnly(event, '#payAdvantageStatePABPAYErrorMessage', 'State')">
                            <span id="payAdvantageStatePABPAYErrorMessage" class="PayAdvantageError"></span>
                        </p>
                    
                        <p>
                            <label class="pa-label" for="payAdvantagePostcodePABPAY">Postcode</label>
                            <input id="payAdvantagePostcodePABPAY" name="postcodePABPAY" type="text"
                                onfocusout="validatePayAdvantageAgainstNullsAndNumbersOnly(event, '#payAdvantagePostcodePABPAYErrorMessage', 'Postcode')">
                            <span id="payAdvantagePostcodePABPAYErrorMessage" class="PayAdvantageError"></span>
                        </p>
                    </div>                                
                </div>
                <br>
                <button class="button" onclick="payAdvantageSendBPayInformation()" type="button">Register</button>        
                <div>
                    <p id="payAdvRegisterResponsePABPAY" class="PayAdvantageError"></p>
                </div>             
            </form>
        </div>
    <?php
}