<?php
/**
 * Contains html for the credit card tab.
 */
function pay_advantage_credit_card_html() {
   ?>
        <div id="payAdvantageCreditCardTab" class="payAdvantageOverlayTabContent">
         <form class="wordpress-ajax-form" method="post" style="position: relative">            
            <div>
                <div id="payAdvantageOverlayCreditCardLock" class="payAdvantageOverlayCreditCardLock">  
                </div>
                
                <div id="payAdvantageCreditCardOverlay" class="payAdvantageCreditCardOverlay">
                    <div class="pb-4">
                        <div class="success-tick-image">
                            <img src="<?php echo plugins_url('payadvantage/images/icon/success_tick.svg'); ?>" border="0" />
                        </div>
                        <h4 class="text-center">Thank you for your payment using <a href="https://www.payadvantage.com.au" target="_blank">Pay Advantage</a>.</h4>
                        <p class="text-center">Please check your email for confirmation.</p>
                    </div>
                </div>
                <?php if (esc_attr(get_option('pay_advantage_env')) != "live"):?>
                    <h4 style="color:red">Sandbox environment</h4>
                <?php endif;?>
                <h4>
                  A bit about you
                </h4>

                <p>
                    <label class="pa-label" for="payAdvantageCustomerFirstNameCC">First Name <span class="required">*</span></label>
                    <input id="payAdvantageCustomerFirstNameCC" name="customerFirstName" type="text"
                        onfocusout="validatePayAdvantageAgainstNullsAndLettersOnly(event, '#payAdvantageCustomerFirstNameCCErrorMessage', 'First Name')">
                    <span id="payAdvantageCustomerFirstNameCCErrorMessage" class="PayAdvantageError"></span>  
                </p>

                <p>
                    <label class="pa-label" for="payAdvantageCustomerLastNameCC">Last Name <span class="required">*</span></label>
                    <input id="payAdvantageCustomerLastNameCC" name="customerLastName" type="text"
                        onfocusout="validatePayAdvantageAgainstNullsAndLettersOnly(event, '#payAdvantageCustomerLastNameCCErrorMessage', 'Last Name')">
                    <span id="payAdvantageCustomerLastNameCCErrorMessage" class="PayAdvantageError"></span>
                </p>
                
                <p>
                    <label class="pa-label" for="payAdvantageCustomerEmailCC">Email <span class="required">*</span></label>
                    <input id="payAdvantageCustomerEmailCC" name="customerEmailCC" type="text"
                        onfocusout="validatePayAdvantageEmailAddress(event, '#payAdvantageCustomerEmailCCErrorMessage')">
                    <span id="payAdvantageCustomerEmailCCErrorMessage" class="PayAdvantageError"></span>
                </p>

                <p>
                    <label class="pa-label" for="payAdvantageMobileNumberCC">Mobile <span class="required">*</span></label>
                    <input maxlength="15" id="payAdvantageMobileNumberCC" name="mobileNumber" type="text"
                        onfocusout="validatePayAdvantageMobile(event, '#payAdvantageMobileNumberErrorMessage')">
                    <span id="payAdvantageMobileNumberErrorMessage" class="PayAdvantageError"></span>
                </p>
                
                <h4>
                  Payment details
                </h4>

                <p>
                    <label class="pa-label" for="payAdvantageAmountCC">Amount <span class="required">*</span></label>
                    <input id="payAdvantageAmountCC" name="AmountCC" type="text"
                        onfocusout="validatePayAdvantageAmount(event, '#payAdvantageAmountCCErrorMessage')">
                    <span id="payAdvantageAmountCCErrorMessage" class="PayAdvantageError"></span>
                </p>
                
                <p>
                    <label class="pa-label" for="payAdvantageCardHolderCC">Card Holders Name <span class="required">*</span></label>
                    <input id="payAdvantageCardHolderCC" name="cardHolderCC" type="text"
                        onfocusout="validatePayAdvantageCardHoldersName(event, '#payAdvantageCardHoldersNameErrorMessage')">
                    <span id="payAdvantageCardHoldersNameErrorMessage" class="PayAdvantageError"></span>
                </p>

                <table class="table-reset">
                    <tr>
                        <td colspan="2">
                            <p>
                                <label class="pa-label" for="payAdvantageCardNumberCC">
                                    Credit Card Number <span class="required">*</span>
                                    <img alt="Visa/MasterCard" src="<?php echo esc_url( plugins_url( 'images/icon_visa_mastercard.svg', dirname(__FILE__) ) ) ?>" />
                                </label>

                                <input maxlength="16" id="payAdvantageCardNumberCC" name="payAdvantageCardNumberCC" type="text"
                                    onfocusout="validatePayAdvantageCreditCardNumber(event,'#payAdvantageCardNumberErrorMessage')">
                                <span id="payAdvantageCardNumberErrorMessage" class="PayAdvantageError"></span>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>
                                <label class="pa-label" for="payAdvantagecardCodeCC">CCV <span class="required">*</span></label>
                                <input maxlength="4" id="payAdvantageCardCodeCC" name="payAdvantageCardCodeCC" type="text"
                                onfocusout="validatePayAdvantageCreditCardCode(event, '#payAdvantageCardCodeCCErrorMessage')">
                                <span id="payAdvantageCardCodeCCErrorMessage" class="PayAdvantageError"></span>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>
                                <label class="pa-label" for="payAdvantageCardExpiryMonthCC">Exp. Month <span class="required">*</span></label>        
                                <select class="pa-select" id="payAdvantageCardExpiryMonthCC" name="payAdvantageCardExpiryMonthCC">
                                    <option value=01>01</option>
                                    <option value=02>02</option>
                                    <option value=03>03</option>
                                    <option value=04>04</option>
                                    <option value=05>05</option>
                                    <option value=06>06</option>
                                    <option value=07>07</option>
                                    <option value=08>08</option>
                                    <option value=09>09</option>
                                    <option value=10>10</option>
                                    <option value=11>11</option>
                                    <option value=12>12</option>
                                </select>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>
                                <label class="pa-label" for="payAdvantageCardExpiryYearCC">Expiry Year <span class="required">*</span></label>         
                                <select class="pa-select" id="payAdvantageCardExpiryYearCC" name="payAdvantageCardExpiryYearCC">
                                    <?php
                                    $today = (int)date('Y', time());
                                    for($i = 0; $i < 8; $i++)
                                    {
                                    ?>
                                        <option value="<?php echo $today; ?>"><?php echo $today; ?></option>
                                    <?php
                                        $today++;
                                    }
                                    ?>
                                </select>
                            </p>
                        </td>
                    </tr>
                </table>
            </div>

            <br>
            <button class="button" type="button" onclick="payAdvantageSendCreditCardPayment()">Pay</button>
            <div id="payAdvRegisterResponseCreditCard" class="PayAdvantageError"></div>
        </form> 
    </div>
    <?php
}