/* eslint no-unused-vars: 0 */
/* eslint no-undef: 0 */

// Makes the ajax call to wordpress
function payAdvantageSendBPayInformation () {
  var blockSend = false

  var custFirstName = jQuery('#payAdvantageCustomerFirstNamePABPAY').val()
  var custLastName = jQuery('#payAdvantageCustomerLastNamePABPAY').val()
  var custEmail = jQuery('#payAdvantageCustomerEmailPABPAY').val()

  if (validatePayAdvantageAgainstNulls(payAdvantageMockEvent(custFirstName), '#payAdvantageCustomerFirstNamePABPAYErrorMessage', 'First Name is required.')) {
    blockSend = true
  }
  if (validatePayAdvantageAgainstNulls(payAdvantageMockEvent(custLastName), '#payAdvantageCustomerLastNamePABPAYErrorMessage', 'Last Name is required.')) {
    blockSend = true
  }
  if (validatePayAdvantageEmailAddress(payAdvantageMockEvent(custEmail), '#payAdvantageCustomerEmailPABPAYErrorMessage')) {
    blockSend = true
  }

  jQuery('#payAdvantageCustomerName').text(custFirstName + ' ' + custLastName)

  var payload = {
    'payadvantagefirstname': custFirstName,
    'payadvantagelastname': custLastName,
    'payadvantageemail': custEmail
  }

  if (pay_advantage_ajax_object.pay_advantage_require_mobile === '1') {
    var custMobile = jQuery('#payAdvantageMobileNumberPABPAY').val()
    payload['payadvantagemobile'] = custMobile

    if (validatePayAdvantageMobile(payAdvantageMockEvent(custMobile), '#payAdvantageMobileNumberPABPAYErrorMessage')) {
      blockSend = true
    }
  }

  if (pay_advantage_ajax_object.pay_advantage_require_address === '1') {
    var custStreet = jQuery('#payAdvantageStreetPABPAY').val()
    var custSuburb = jQuery('#payAdvantageSuburbPABPAY').val()
    var custState = jQuery('#payAdvantageStatePABPAY').val()
    var custPostcode = jQuery('#payAdvantagePostcodePABPAY').val()
    payload['payadvantagestreet'] = custStreet
    payload['payadvantagesuburb'] = custSuburb
    payload['payadvantagestate'] = custState
    payload['payadvantagepostcode'] = custPostcode

    if (validatePayAdvantageAgainstNulls(payAdvantageMockEvent(custStreet), '#payAdvantageStreetPABPAYErrorMessage', 'Street is required.')) {
      blockSend = true
    }
    if (validatePayAdvantageAgainstNulls(payAdvantageMockEvent(custSuburb), '#payAdvantageSuburbPABPAYErrorMessage', 'Suburb is required.')) {
      blockSend = true
    }
    if (validatePayAdvantageAgainstNulls(payAdvantageMockEvent(custPostcode), '#payAdvantagePostcodePABPAYErrorMessage', 'Postcode is required.')) {
      blockSend = true
    }
    if (validatePayAdvantageAgainstNulls(payAdvantageMockEvent(custState), '#payAdvantageStatePABPAYErrorMessage', 'State is required.')) {
      blockSend = true
    }
  }

  if (blockSend) {
    return
  }

  document.getElementById('payAdvantageOverlayBpayLock').style.display = 'block'

  jQuery('#payAdvRegisterResponsePABPAY').text('')
  payAdvantageAjaxCall('pay_advantage_ajax_action', payload)
}

// code for showing and hiding based off settings.
jQuery(document).ready(function ($) {
  if (pay_advantage_ajax_object.pay_advantage_require_mobile === '1') {
    jQuery('#payAdvantageRequiredMobile').show()
  } else {
    jQuery('#payAdvantageRequiredMobile').hide()
  }

  if (pay_advantage_ajax_object.pay_advantage_require_address === '1') {
    jQuery('#payAdvantageRequiredAddress').show()
  } else {
    jQuery('#payAdvantageRequiredAddress').hide()
  }
})

// returns result from the ajax call to the user
function payAdvantageReturnData (data) {
  var isSuccessful = false
  if (data.Message === 'Create Successful.' ||
          data.ChargeStatus === 'approved' ||
          data.BPAYRef) {
    isSuccessful = true
  }

  if (!isSuccessful) {
    payAdvantageDisableInputBlock()

    if (data.ModelState != null) {
      payAdvantageErrorFromApi(data)
    } else {
      payAdvantageDisplayErrorMessages(data)
    }
    return
  }

  payAdvantageDisableInputBlock()

  if (data.ChargeStatus === 'approved') {
    jQuery('#payAdvantagePaymentId').text(data.ExternalID)
    jQuery('#payAdvantageDescription').text(data.Description)
    jQuery('#payAdvantageAmount').text(data.Payment.Amount)
    jQuery('#payAdvantageCreditCardOverlay').show()
    return
  }
  
  jQuery('#payAdvantageBPayRef').text(data.BPAYRef)
  jQuery('#payAdvantageBillerCode').text(data.BillerCode)
  jQuery('#payAdvantageBillerOverlay').show()
}

// If error it unblocks the ui
function payAdvantageErrorInAjaxCall () {
  console.log('Error in ajax call')
  payAdvantageDisableInputBlock()
}

// unblocks the ui based on what is displayed
function payAdvantageDisableInputBlock () {
  if (jQuery('#payAdvantageOverlayBpayLock').length) {
    jQuery('#payAdvantageOverlayBpayLock').hide()
  }
  if (jQuery('#payAdvantageOverlayCreditCardLock').length) {
    jQuery('#payAdvantageOverlayCreditCardLock').hide()
  }
}

// This is for  displaying more in depth error messages from the api
function payAdvantageErrorFromApi (data) {
  if (data.ModelState['customer.Mobile'] != null) {
    jQuery('#payAdvRegisterResponsePABPAY').text(data.ModelState['customer.Mobile'])
    return
  }
  jQuery('#payAdvRegisterResponsePABPAY').text(data.Message)
}

// this helps with the switching of tabs between the two types.
function payAdvantagePaymentType (evt, payType) {
  var i, tabContent, tabLinks

  tabContent = document.getElementsByClassName('payAdvantageOverlayTabContent')
  for (i = 0; i < tabContent.length; i++) {
    tabContent[i].style.display = 'none'
  }

  tabLinks = document.getElementsByClassName('tablinks')
  for (i = 0; i < tabLinks.length; i++) {
    tabLinks[i].className = tabLinks[i].className.replace(' active', '')
  }

  document.getElementById(payType).style.display = 'block'
  evt.currentTarget.className += ' active'
}

// Displays the error messages from the api into there corresponding tab.
function payAdvantageDisplayErrorMessages (data) {
  var error = ''
  for (var errorNumb = 0; errorNumb < data.ErrorMessages.length; errorNumb++) {
    error = error + data.ErrorMessages[errorNumb] + '<br>'
  }
  if (data.type === 'admin') {
    jQuery('#payAdvRegisterResponsePABPAY').html(error)
    jQuery('#payAdvRegisterResponseCreditCard').html(error)
  } else if (data.type === 'bpay') {
    jQuery('#payAdvRegisterResponsePABPAY').html(error)
  } else {
    jQuery('#payAdvRegisterResponseCreditCard').html(error)
  }
}

function payAdvantageMockEvent (textValue) {
  return {
    currentTarget: { value: textValue }
  }
}
