<?php
/**
 * Receives incoming api calls for registering consumers for BPay
 */

include_once( plugin_dir_path( __FILE__ ) . '/payadvantage-bpay-register-api-call.php' );
include_once( plugin_dir_path( __FILE__ ) . '/payadvantage-json-converter.php' );
include_once( plugin_dir_path( __FILE__ ) . 'payadvantage-validator.php' );

//Added both actions for logged in and guest consumers
add_action( 'wp_ajax_pay_advantage_ajax_action', 'pay_advantage_ajax_handler' );
add_action( 'wp_ajax_nopriv_pay_advantage_ajax_action', 'pay_advantage_ajax_handler' );

//Extracts the data from the widget api call and sends it to pay advantage.
function pay_advantage_ajax_handler() {
    check_ajax_referer( 'pay_advantage_nonce', 'security' );
    if ( current_user_can( 'read' ) == 0 && get_option( 'pay_advantage_show_widget_to_users_not_logged_in' ) == '0' ) {
        echo '{"Message" , "Please login to use this service."}';
        wp_die();
    }

    $validator = new Pay_Advantage_Validator();
    $validation_message = $validator->validate_bpay_register();
 
    // TODO magic number
    if ( strlen( $validation_message ) > PAYADV_DEFAULT_ERROR_LENGTH ) {
        echo $validation_message. '], "type":"bpay"}';
        wp_die();
    }
    $json_converter = new Pay_Advantage_Json_Converter();   
    $json_customer_data = $json_converter->create_widget_customer_json_data();
    $return_message = json_encode( pay_advantage_api_call( $json_customer_data ) );
   
    echo $return_message;
    wp_die();
}
?>