<?php
/**
 * Calls the BPay registration api
 */
include_once(plugin_dir_path(__FILE__) . '../shared/payadvantage-result-processor.php');

function pay_advantage_api_call($json_data)
{
  $result_processor = new Pay_Advantage_Result_Processor();
  $auth_provider = new Pay_Advantage_Auth();
  $token = $auth_provider->get_auth_token(null, null);

  if (isset($token['ErrorMessages']) > 0)
    return $token;

  $access_token = $token['access_token'];

  $url = get_option('pay_advantage_url') . '/customers?with=bpayref';
  $body = $json_data;
  $data = array(
    'headers' => array(
      'Content-Type' => 'application/json',
      'Expect' => '',
      'Authorization' => "Bearer $access_token"
    ),
    'body' => $body,
    'timeout' => 30 // Bpay reference with the prefix option take more time to be generated
  );
  $response = wp_remote_post($url, $data);

  return $result_processor->process_result($response, 'BPay Registration', 'bpay');
}
