<?php
/**
 * Receives calls for credit card payments.
 */

include_once( plugin_dir_path( __FILE__ ) . 'payadvantage-creditcard.php' );
include_once( plugin_dir_path( __FILE__ ) . 'payadvantage-validator.php' );


//Added both actions for logged in and guest consumers
add_action('wp_ajax_pay_advantage_credit_card', 'pay_advantage_credit_card_handler');
add_action('wp_ajax_nopriv_pay_advantage_credit_card', 'pay_advantage_credit_card_handler');


//Extracts the data from the widget api call and sends it to pay advantage.
function pay_advantage_credit_card_handler() {
    $credit_card_payment = new Pay_Advantage_Credit_Card_Payment();
    $validator = new Pay_Advantage_Validator();

    check_ajax_referer( 'pay_advantage_nonce', 'security' );

    if ( current_user_can( 'read' ) == 0 && get_option( 'pay_advantage_show_widget_to_users_not_logged_in' ) == "0" ) {
        echo '{"Message" , "Please login to use this service."}';
        wp_die();
    }

    $validation_message = $validator->validate_credit_card_payment();

    if ( strlen( $validation_message ) > PAYADV_DEFAULT_ERROR_LENGTH ) {
        echo  $validation_message . ']}';
        wp_die();
    }

    $billing_data = array(
        'first_name' => sanitize_text_field( $_POST['payadvantagefirstname'] ),
        'last_name' => sanitize_text_field( $_POST['payadvantagelastname'] ),
        'email' => sanitize_text_field( $_POST['payadvantageemail'] ),
        'mobile' => sanitize_text_field( $_POST['payadvantagemobile'] )
    );

    $payment_result = $credit_card_payment->process_credit_card_payment(
        $billing_data,
        sanitize_text_field( $_POST['payadvantageamount'] ),
        sanitize_text_field( get_option( 'pay_advantage_credit_card_description' ) )
    );

    echo json_encode($payment_result);
    wp_die();
}

?>