<?php
/**
 * Contacts PayAdvantage and retrieves the Authorization token.
 */

class Pay_Advantage_Auth{
    
    /**
     * Gets the saved PayAdvantage user from the options table and puts it into a json string for Authentication.
     */
    function json_auth_data() {
        $username = sanitize_user( get_option( 'pay_advantage_user_name' ) );
        $password = wp_strip_all_tags ( get_option( 'pay_advantage_password' ) );
        return array(
            "username" => $username,
            "password" => $password
        );
    }

    /**
     * Used to get auth token from the server.
     */
    public function get_auth_token( $auth_data, $url )
    {
        $result_processor = new Pay_Advantage_Result_Processor();
        $auth = $auth_data;
        if ( $auth_data == '' || $auth_data == null ) {
            $auth = $this->json_auth_data();
        }

        $auth["appId"] = PAYADV_APP_ID;

        if(empty($url)) {
            $url = get_option('pay_advantage_url');
        }

        $url .= '/app-token';
        $data = array(
            'headers' => array(
                'Content-Type' => 'application/json',
                'Expect' => ''
            ),
            'body' => json_encode($auth),
            'timeout' => 30
        );
        $response = wp_remote_post( $url, $data );       
        return $result_processor->process_result( $response, 'login', 'admin' );
    }
}

?>